Skip to content

Update Namespace ​

Update the properties of an existing namespace including name, color theme, and client terminology.


Overview ​

This endpoint allows administrators to modify the properties of a namespace. The namespace must exist, and the requester must have admin privileges.

Method: PATCH
Endpoint:
/api/v1/namespaces/{namespaceId}

Requires administrator authentication with valid token.


Request ​

Headers ​

http
x-api-key: {your_api_key}  # Required
Content-Type: application/json

Path Parameters ​

ParameterTypeRequiredDescription
namespaceIdstring✅ID of the namespace to be updated

Body Parameters ​

FieldTypeRequiredDescription
namestring❌Display name of the namespace
primaryColorstring❌Hex color code for the namespace theme
clientTermstring❌Term for users, usually "client/member/user". Can be an empty string
showSampleQuizzesboolean❌Whether to display sample quizzes in the namespace
isEnzCtaEnabledboolean❌Toggles wheter the email, name, and zipcode information appear as params in the call-to-action clicks feature

Example Request Body ​

json
{
  "name": "Updated Namespace Name",
  "primaryColor": "#ff5500",
  "clientTerm": "members",
  "showSampleQuizzes": true,
  "isEnzCtaEnabled": false,
}

Response ​

Success Response ​

json
{
  "namespace": {
    "id": "api-testing-env",
    "name": "Updated Namespace Name",
    "primaryColor": "#ff5500",
    "clientTerm": "members",
    "showSampleQuizzes": true,
    "isEnzCtaEnabled": false,
    "logoUrl": "https://storage.googleapis.com/fhc-dev-files/api-testing-env/logo.png",
    "tennantId": "api-testing-env-q2px9",
    "namespaceType": "internal"
  }
}

Notes ​

  • You can update one or more properties in a single request.
  • The namespace must exist before it can be updated.